This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 110535 - gdb reports setting breakpoints, but breakpoints are never hit
gdb reports setting breakpoints, but breakpoints are never hit
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 15:47 EST by Christopher Blizzard
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 15:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
example testcase (439 bytes, application/octet-stream)
2004-07-27 05:35 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Christopher Blizzard 2003-11-20 15:47:13 EST
Description of problem:

If you set a breakpoint in Mozilla with gdb, sometimes the breakpoints
don't stop the program, even though I know the code where the
breakpoint is set is being executed.

Version-Release number of selected component (if applicable):

gdb-5.3.90-0.20030710.41
glibc-2.3.2-101.1
kernel-2.4.22-1.2115.nptl

How reproducible:

Pretty often.

Steps to Reproduce:
1. Fire up gdb and Mozilla
2. Set a breakpoint in nsPluginInstanceOwner::nsPluginInstanceOwner
3. Load a page that includes a plugin.
  
Actual results:

Breakpoint does not cause stop.

Expected results:

Stops during building of the plugin frame.

Additional info:

This is somewhat flaky.  I can sometimes get random breakpoints in
this code to work, but not often.  For example, putting a breakpoint
in nsPluginInstanceOwner::AddRef seems to work.

Another strange thing is that when you try to set the breakpoint it
asks you which version of the function you want to break in.  However,
that function only has one signature, which is a little odd.
Comment 1 Roland McGrath 2003-11-20 15:51:36 EST
Please supply a precise scenario for reproducing.  i.e. start the
binary how, click and type exactly what.
Comment 2 Christopher Blizzard 2003-11-20 16:02:37 EST
0x004eac32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) b nsPluginInstancePeerImpl::nsPluginInstancePeerImpl
[0] cancel
[1] all
[2] nsPluginInstancePeerImpl at
../../../../../mozilla/modules/plugin/base/src/nsPluginInstancePeer.cpp:68
[3] nsPluginInstancePeerImpl at
../../../../../mozilla/modules/plugin/base/src/nsPluginInstancePeer.cpp:68
> 1
Breakpoint 1 at 0x60b0caf: file
../../../../../mozilla/modules/plugin/base/src/nsPluginInstancePeer.cpp,
line 68.
Note: breakpoint 1 also set at pc 0x60b0caf.
Breakpoint 2 at 0x60b0caf: file
../../../../../mozilla/modules/plugin/base/src/nsPluginInstancePeer.cpp,
line 68.
warning: Multiple breakpoints were set.
warning: Use the "delete" command to delete unwanted breakpoints.
(gdb) c
Continuing.
link_message_cb
visibility_cb 1
visibility_cb 1
link_message_cb
button was 0
open_uri_cb http://localhost/~blizzard/test.bong
load_started_cb
location_changed_cb
js_status_cb
*** nsPluginInstanceOwner::nsPluginInstanceOwner
nsPluginNativeWindowGtk2::nsPluginNativeWindowGtk2
For application/x-bong-noises found plugin
/home/blizzard/src/gtk2plug/libgtk2plug.so
LoadPlugin() /home/blizzard/src/gtk2plug/libgtk2plug.so returned a137ec0
NP_Initialize
*** nsPluginInstancePeerImpl
gtk2plugimpl_new
NP_GetValue 14

That *** nsPluginInstancePeerImpl is the code where the break is
supposed to happen being executed.
Comment 3 Caolan McNamara 2004-07-27 05:35:34 EDT
Created attachment 102219 [details]
example testcase
Comment 4 Caolan McNamara 2004-07-27 05:38:33 EDT
Sounds like gdb/1091 & gdb/1193, not being able to properly set
breakpoints in constructors. The not-in-charge/in-charge duality.

make gdbtestc++ in the previous attachment reproduces for me
Comment 5 Matthew Miller 2006-07-11 13:19:26 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 6 John Thacker 2006-10-28 15:02:16 EDT
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Please
install a still supported version and retest.  If this still occurs on FC3 or
FC4 and is a security issue, please reopen and assign to that version and Fedora
Legacy.  If it still occurs on FC5 or FC6, please reopen and assign to the
correct version.

Note You need to log in before you can comment on or make changes to this bug.